Bug 86972 - [EFL] Network Information bandwidth interface always returns 10, but spec says to return Infinity when bandwidth is unknown
Summary: [EFL] Network Information bandwidth interface always returns 10, but spec say...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML DOM (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-20 15:04 PDT by Maciej Stachowiak
Modified: 2017-03-11 10:41 PST (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2012-05-20 15:04:39 PDT
From NetworkInfoClientEfl:

unsigned int NetworkInfoClientEfl::bandwidth() const
{
    notImplemented();
    return 10; // MB/s                                                                                                                                   
}

But the spec says to return Infinity if the bandwidth is unknown:

http://dvcs.w3.org/hg/dap/raw-file/tip/network-api/index.html#widl-Connection-bandwidth
Comment 1 Gyuyoung Kim 2012-05-21 18:13:33 PDT
(In reply to comment #0)
> From NetworkInfoClientEfl:
> 
> unsigned int NetworkInfoClientEfl::bandwidth() const
> {
>     notImplemented();
>     return 10; // MB/s                                                                                                                                   
> }
> 
> But the spec says to return Infinity if the bandwidth is unknown:
> 
> http://dvcs.w3.org/hg/dap/raw-file/tip/network-api/index.html#widl-Connection-bandwidth

Existing implementation is dummy. I'm preparing concrete implementation based on efl. However, there was some crash issue my patch. So I'm solving it with efl guys. This bug will be fixed when I submit concrete patch.
Comment 2 Gyuyoung Kim 2012-05-21 18:33:41 PDT
Hello Maciej,

I just file Bug 87067 in order to submit concrete implementation for EFL port. This bug will be fixed together with Bug 87067.
Comment 3 Michael Catanzaro 2017-03-11 10:41:19 PST
Closing this bug because the EFL port has been removed from trunk.

If you feel this bug applies to a different upstream WebKit port and was closed in error, please either update the title and reopen the bug, or leave a comment to request this.